/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

#include <sys/types.h>

#ifdef __cplusplus
extern "C" {
#endif

#define COMPONENT_TYPE_FRAME "frame"
#define COMPONENT_TYPE_SERVICE "service"

typedef enum _amd_compinfo_type {
	AMD_COMPINFO_TYPE_NAME = 0,
	AMD_COMPINFO_TYPE_APPID,
	AMD_COMPINFO_TYPE_TYPE,
	AMD_COMPINFO_TYPE_LAUNCH_MODE,
	AMD_COMPINFO_TYPE_TASKMANAGE,
	AMD_COMPINFO_TYPE_MAIN,
	AMD_COMPINFO_TYPE_ICON_DISPLAY,
	AMD_COMPINFO_TYPE_MAX
} amd_compinfo_type;

typedef void *amd_compinfo_h;

typedef void (*amd_compinfo_foreach_cb)(amd_compinfo_h,
		const char *appid, const char *id, void *user_data);

amd_compinfo_h amd_compinfo_find(uid_t uid, const char *id);
const char *amd_compinfo_get_value(amd_compinfo_h info, amd_compinfo_type type);
int amd_compinfo_foreach(uid_t uid, amd_compinfo_foreach_cb callback,
		void *user_data);

#ifdef __cplusplus
}
#endif
