/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

#include <sys/types.h>

#define COMPONENT_TYPE_FRAME "frame"
#define COMPONENT_TYPE_SERVICE "service"

#define CIT_START 0
typedef enum compinfo_type_e {
	CIT_NAME = CIT_START,
	CIT_APPID,
	CIT_TYPE,
	CIT_LAUNCH_MODE,
	CIT_TASKMANAGE,
	CIT_MAIN,
	CIT_ICON_DISPLAY,
	CIT_MAX
} compinfo_type;

typedef void *compinfo_h;

typedef void (*compinfo_foreach_cb)(compinfo_h info,
		const char *appid, const char *id, void *user_data);

compinfo_h _compinfo_find(uid_t uid, const char *id);
const char *_compinfo_get_value(compinfo_h handle, compinfo_type type);
int _compinfo_foreach(uid_t uid, compinfo_foreach_cb callback, void *user_data);
int _compinfo_init(void);
void _compinfo_fini(void);
