/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

#define NOTI_MSG_APPINFO_INSERT                                                \
	"appinfo.insert"

#define NOTI_MSG_APPINFO_REMOVE                                                \
	"appinfo.remove"

#define NOTI_MSG_APPINFO_RELOAD                                                \
	"appinfo.reload"

#define NOTI_MSG_APPINFO_LOAD                                                  \
	"appinfo.load"

#define NOTI_MSG_APPINFO_UNLOAD                                                \
	"appinfo.unload"

#define NOTI_MSG_APPINFO_PACKAGE_UPDATE_ERROR                                  \
	"appinfo.package.update.error"

#define NOTI_MSG_APPINFO_PACKAGE_UNINSTALL_END                                 \
	"appinfo.package.uninstall.end"

#define NOTI_MSG_APPINFO_PACKAGE_INSTALL_END                                   \
	"appinfo.package.install.end"

#define NOTI_MSG_APPINFO_PACKAGE_UPDATE_END                                    \
	"appinfo.package.update.end"

#define NOTI_MSG_APPINFO_APP_ENABLED_END                                       \
	"appinfo.app.enabled.end"

#define NOTI_MSG_APPINFO_APP_DISABLED_END                                      \
	"appinfo.app.disabled.end"

#define NOTI_MSG_APP_STATUS_TERM_BG_APPS                                       \
	"app_status.term_bg_apps"

#define NOTI_MSG_APP_STATUS_DESTROY                                            \
	"app_status.destroy"

#define NOTI_MSG_APP_STATUS_ADD                                                \
	"app_status.add"

#define NOTI_MSG_APP_STATUS_UPDATE_STATUS_START                                \
	"app_status.update_status.start"

#define NOTI_MSG_APP_STATUS_UPDATE_STATUS_END                                  \
	"app_status.update_status.end"

#define NOTI_MSG_APP_STATUS_CLEANUP                                            \
        "app_status.cleanup"

#define NOTI_MSG_APP_STATUS_APP_REGISTER_PID                                   \
	"app_status.app_register_pid"

#define NOTI_MSG_COMP_STATUS_ADD                                               \
	"comp_status.add"

#define NOTI_MSG_COMP_STATUS_NOTIFY_EXIT                                       \
        "comp_status.notify.exit"

#define NOTI_MSG_COMP_STATUS_UPDATE_STATUS_END                                 \
	"comp_status.update_status.end"

#define NOTI_MSG_LAUNCH_POWEROFF_STATE_CHANGE                                  \
	"poweroff.state.change"

#define NOTI_MSG_LAUNCH_TERM_APP_START                                         \
	"launch.term_app.start"

#define NOTI_MSG_LAUNCH_TERM_BGAPP_START                                       \
	"launch.term_bgapp.start"

#define NOTI_MSG_LAUNCH_RECV_ERROR                                             \
	"launch.recv.error"

#define NOTI_MSG_LAUNCH_RECV_TIMEOUT                                           \
	"launch.recv.timeout"

#define NOTI_MSG_LAUNCH_DO_STARTING_APP_RELAUNCH_START                         \
	"launch.do_starting_app.relaunch.start"

#define NOTI_MSG_LAUNCH_STATUS_FG                                              \
	"launch.status.fg"

#define NOTI_MSG_LAUNCH_STATUS_BG                                              \
	"launch.status.bg"

#define NOTI_MSG_LAUNCH_STATUS_FOCUS                                           \
	"launch.status.focus"

#define NOTI_MSG_LAUNCH_STATUS_HIDE                                            \
	"launch.status.hide"

#define NOTI_MSG_LAUNCH_STATUS_LAUNCH                                          \
	"launch.status.launch"

#define NOTI_MSG_LAUNCH_APP_START_START                                        \
	"launch.app_start.start"

#define NOTI_MSG_LAUNCH_FAIL                                                   \
	"launch.fail"

#define NOTI_MSG_LAUNCH_APP_START_PEND                                         \
	"launch.app_start.pend"

#define NOTI_MSG_LAUNCH_APP_START_END                                          \
	"launch.app_start.end"

#define NOTI_MSG_LAUNCH_APP_RESULT_START                                       \
	"launch.app_result.start"

#define NOTI_MSG_LAUNCH_APP_RESULT_END                                         \
	"launch.app_result.end"

#define NOTI_MSG_LAUNCH_APP_STARTUP_SIGNAL_END                                 \
	"launch.app_startup_signal.end"

#define NOTI_MSG_LAUNCH_PREPARE_START                                          \
	"launch.prepare.start"

#define NOTI_MSG_LAUNCH_PREPARE_UI_START                                       \
	"launch.prepare.ui.start"

#define NOTI_MSG_LAUNCH_PREPARE_UI_END                                         \
	"launch.prepare.ui.end"

#define NOTI_MSG_LAUNCH_PREPARE_SERVICE                                        \
	"launch.prepare.service"

#define NOTI_MSG_LAUNCH_PREPARE_WIDGET                                         \
	"launch.prepare.widget"

#define NOTI_MSG_LAUNCH_PREPARE_COMPONENT_BASED_START                          \
	"launch.prepare.component-based.start"

#define NOTI_MSG_LAUNCH_PREPARE_END                                            \
	"launch.prepare.end"

#define NOTI_MSG_LAUNCH_MAIN_APP_DEAD                                          \
	"main.app_dead"

#define NOTI_MSG_LAUNCH_DO_STARTING_APP_RELAUNCH_CANCEL                        \
	"launch.do_starting_app.relaunch.cancel"

#define NOTI_MSG_LAUNCH_DO_STARTING_APP_RELAUNCH_END                           \
	"launch.do_starting_app.relaunch.end"

#define NOTI_MSG_LAUNCH_DO_STARTING_APP_START                                  \
	"launch.do_starting_app.start"

#define NOTI_MSG_LAUNCH_DO_STARTING_APP_CANCEL                                 \
	"launch.do_starting_app.cancel"

#define NOTI_MSG_LAUNCH_DO_STARTING_APP_END                                    \
	"launch.do_starting_app.end"

#define NOTI_MSG_LAUNCH_COMPLETE_START                                         \
	"launch.complete.start"

#define NOTI_MSG_LAUNCH_COMPLETE_END                                           \
	"launch.complete.end"

#define NOTI_MSG_LOGIN_MONITOR_LOGIN_START                                     \
	"login_monitor.login.start"

#define NOTI_MSG_LOGIN_MONITOR_LOGIN                                           \
	"login_monitor.login"

#define NOTI_MSG_LOGIN_MONITOR_LOGOUT                                          \
	"login_monitor.logout"

#define NOTI_MSG_LOGIN_MONITOR_STARTUP_FINISHED                                \
	"startup.finished"

#define NOTI_MSG_MAIN_APP_DEAD_LOADER                                          \
	"main.app_dead.loader"

#define NOTI_MSG_MAIN_APP_DEAD                                                 \
	"main.app_dead"

#define NOTI_MSG_REQUEST_USER_INIT                                             \
	"request.user_init"

#define NOTI_MSG_SIGNAL_SEND_WATCHDOG_START                                    \
	"signal.send_watchdog.start"

#define NOTI_MSG_UTIL_LOW_MEMORY_NORMAL                                        \
	"util.low_memory.normal"
