/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef JOB_H_
#define JOB_H_

#include <string>

namespace component_manager {

class Job {
 public:
  class IJobHandler {
   public:
    virtual void OnJob() = 0;
  };

  Job(std::string name, IJobHandler* handler);
  virtual ~Job();
  Job(const Job& job);
  Job& operator = (const Job& b);
  Job(Job&& job) noexcept;
  Job& operator = (Job&& job) noexcept;

  void Do();

 private:
  std::string name_;
  IJobHandler* handler_;
};

}  // namespace component_manager

#endif  // JOB_H_
