/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "component_manager.h"
#include "private.h"

using namespace component_manager;

extern "C" EXPORT int AMD_MOD_INIT(void) {
  _D("Component Manager Initialize");

  auto& inst = ComponentManager::GetInst();
  int ret = inst.Register();
  if (ret < 0)
    return ret;

  return 0;
}

extern "C" EXPORT void AMD_MOD_FINI(void) {
  _D("Component Manager Finalize");
}
