/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef PENDING_JOB_H_
#define PENDING_JOB_H_

#include <memory>

#include "job.h"
#include "request_handler.h"

namespace component_manager {

class PendingJob : public Job, Job::IJobHandler {
 public:
  PendingJob(std::unique_ptr<Request> req,
             std::shared_ptr<RequestHandler> handler);

 private:
  void OnJob() override;

 private:
  std::unique_ptr<Request> req_;
  std::shared_ptr<RequestHandler> handler_;
};

}  // namespace component_manager

#endif  // PENDING_JOB_H_
